Update a payout method
curl --request PATCH \
--url https://api.withacclaim.com/v1/payees/{payee_id}/payout_methods/{payout_method_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"default": true
}
'import requests
url = "https://api.withacclaim.com/v1/payees/{payee_id}/payout_methods/{payout_method_id}"
payload = {
"active": True,
"default": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({active: true, default: true})
};
fetch('https://api.withacclaim.com/v1/payees/{payee_id}/payout_methods/{payout_method_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pmet_abc123",
"payout_method_type": "UnitedStatesAch",
"active": true,
"currency": "<string>",
"country": "<string>",
"account_number": "<string>",
"routing_type1": "<string>",
"routing_value1": "<string>",
"routing_type2": "<string>",
"routing_value2": "<string>",
"bank_name": "<string>",
"account_holder_name": "<string>",
"account_type": "<string>",
"swift_code": "<string>",
"iban": "<string>",
"tax_id_type": "<string>",
"tax_id": "<string>",
"payout_speed": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "invalid_request",
"message": "Missing required field: amount",
"details": {},
"request_id": "req_7lYt4o2x"
}
}Payout methods
Update a payout method
PATCH
/
payees
/
{payee_id}
/
payout_methods
/
{payout_method_id}
Update a payout method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the payee.
ID of the payout method.
Body
application/json
Response
Updated payout method.
Public ID of the payout method
Example:
"pmet_abc123"
Type of payout method
Example:
"UnitedStatesAch"
Example:
true
ISO 4217 currency code
ISO 3166-1 alpha-2 country code
Last modified on July 8, 2026
⌘I